#!/usr/bin/env python
# coding: utf-8

# In[22]:


def calculate_compound_interest(principle, interest_rate, num_years):
    '''Calculate compound interest over multiple years.'''
    results = []
    for i in range(num_years + 1):
        results.append(principle * (1 + interest_rate) ** i);
    return results


# In[25]:


import math

principle = 10_000
interest_rate = 0.05
num_years = math.ceil(72 / (interest_rate * 100))

amounts = calculate_compound_interest(principle, interest_rate, num_years)
for i in range(len(amounts)):
    print(f'{i:<2}: ${amounts[i]:,.2f}')


# In[ ]:




